> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chessa.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Estimated Fees

> Get estimated fees for a transaction.



## OpenAPI

````yaml GET /v1/rates/estimated-fees
openapi: 3.0.3
info:
  title: Chessa Accounts API
  description: API collection for Chessa Accounts services
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.chessa.ai
security: []
tags:
  - name: User Endpoints
    description: Endpoints related to user management
  - name: Configuration Endpoints
    description: Endpoints for fetching application configurations
  - name: Recipient Endpoints
    description: Endpoints for managing recipients
  - name: Order Endpoints
    description: Endpoints for managing orders
  - name: Rate Endpoints
    description: Endpoints for exchange rates and fees
  - name: Referral Endpoints
    description: Endpoints for managing referrals
paths:
  /v1/rates/estimated-fees:
    get:
      tags:
        - Rate Endpoints
      summary: Get Estimated Fees
      description: Get estimated fees for a transaction.
      operationId: getEstimatedFees
      parameters:
        - name: originAsset
          in: query
          schema:
            type: string
            example: BTC
        - name: destinationAsset
          in: query
          schema:
            type: string
            example: NGN
        - name: country
          in: query
          schema:
            type: string
            example: NG
        - name: chain
          in: query
          schema:
            type: string
            example: BTC
        - name: originAmount
          in: query
          schema:
            type: string
            example: '0.005'
      responses:
        '200':
          description: Success Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  fees:
                    type: object
                    properties:
                      feeAmount:
                        type: number
                        example: 0.25
                      feeCurrency:
                        type: string
                        example: USDC
                      feeUsd:
                        type: number
                        example: 0.25
                      previousFeeUsd:
                        type: number
                        example: 0.25
              examples:
                Success Response:
                  value:
                    fees:
                      feeAmount: 0.25
                      feeCurrency: USDC
                      feeUsd: 0.25
                      previousFeeUsd: 0.25
        '400':
          description: Error Response - Invalid Asset
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: validation_error
                  message:
                    type: string
                    example: >-
                      Invalid origin asset: INVALID. Supported assets: BTC, ETH,
                      USDC, USDT
                  statusCode:
                    type: number
                    example: 400
              examples:
                Error Response - Invalid Asset:
                  value:
                    error: validation_error
                    message: >-
                      Invalid origin asset: INVALID. Supported assets: BTC, ETH,
                      USDC, USDT
                    statusCode: 400

````